# cmd_discord/howl.py

import discord
from discord.ext import commands
import cmd_common.common_commands as cc

class HowlCog(commands.Cog):
    """Cog for the '!howl' command."""

    def __init__(self, bot):
        self.bot = bot

    @commands.command(name="howl")
    async def cmd_howl_text(self, ctx):
        """Handles the '!howl' command."""
        result = cc.handle_howl_command(ctx)
        await ctx.reply(result)

async def setup(bot):
    await bot.add_cog(HowlCog(bot))
